[arch-commits] Commit in gnokii/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Aug 2 17:53:58 EDT 2008


    Date: Saturday, August 2, 2008 @ 17:53:57
  Author: jgc
Revision: 7547

upgpkg: gnokii 0.6.26-1

Modified:
  gnokii/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-02 21:35:07 UTC (rev 7546)
+++ PKGBUILD	2008-08-02 21:53:57 UTC (rev 7547)
@@ -3,25 +3,26 @@
 # Contributor: Aurelien Foret <orelien at chez.com>
 
 pkgname=gnokii
-pkgver=0.6.22
-pkgrel=3
+pkgver=0.6.26
+pkgrel=1
 pkgdesc="Tools and user space driver for use with mobile phones"
 arch=('i686' 'x86_64')
 url="http://www.gnokii.org/"
 license=('GPL')
-depends=('libusb' 'libxpm' 'bluez-libs>=3.7')
-makedepends=('gtk2>=2.10.14')
+depends=('libusb' 'libxpm' 'bluez-libs>=3.32')
+makedepends=('gtk2>=2.12.11' 'libmysqlclient>=5.0.60' 'postgresql-libs>=8.3.3')
 backup=(etc/gnokiirc)
+options=('!libtool' '!makeflags')
 source=(http://www.gnokii.org/download/gnokii/gnokii-${pkgver}.tar.bz2 gnokii.patch)
-md5sums=('15d64a4911735ee30c03a7bfa9b60f05'
+md5sums=('60f817d8ce748fea0ec9a05b3537e08d'
          '4d764727686ee34bc73489c8b1321c82')
-options=('!libtool' '!makeflags')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/gnokii.patch
-  ./configure --prefix=/usr --sysconfdir=/etc --enable-security
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/gnokii.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --enable-security || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install install-includes
-  install -D -m644 ${startdir}/src/gnokii-${pkgver}/Docs/sample/gnokiirc ${startdir}/pkg/etc/gnokiirc
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/etc
+  install -m644 ${srcdir}/gnokii-${pkgver}/Docs/sample/gnokiirc ${pkgdir}/etc/gnokiirc || return 1
 }




More information about the arch-commits mailing list